PETSc version 3.15.5
Fix/Edit manual page

# MatMumpsGetRinfog

Get MUMPS parameter RINFOG()

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMumpsGetRinfog(Mat F,PetscInt icntl,PetscReal *val)

Logically Collective on Mat

### Input Parameters

| F | - the factored matrix obtained by calling MatGetFactor() from PETSc-MUMPS interface
| icntl | - index of MUMPS parameter array RINFOG()

### Output Parameter

| val | - value of MUMPS RINFOG(icntl)

### References

| MUMPS Users' Guide

### See Also

MatGetFactor(), MatMumpsSetIcntl(), MatMumpsGetIcntl(), MatMumpsSetCntl(), MatMumpsGetCntl(), MatMumpsGetInfo(), MatMumpsGetInfog(), MatMumpsGetRinfo()

### Level

beginner

### Location

src/mat/impls/aij/mpi/mumps/mumps.c

### Examples

src/ksp/ksp/tutorials/ex52.c.html
src/ksp/ksp/tutorials/ex52f.F90.html

### Implementations

MatMumpsGetRinfog_MUMPS in src/mat/impls/aij/mpi/mumps/mumps.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages